## musl 1.1.23

=== debian/changelog ===
musl (1.1.23-1) unstable; urgency=medium

  * New upstream release.
  * New supported architecture: riscv64
  * Revert "Point to experimental branch in Vcs-Git".
  * Update debian/copyright.
  * Bump Standards-Version to 4.4.0; no changes needed.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 17 Jul 2019 19:27:50 +0200

musl (1.1.22-1) experimental; urgency=medium

  * New upstream release.
  * Point to experimental branch in Vcs-Git.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 11 Apr 2019 18:41:58 +0200
