=== debian/changelog ===
musl (1.1.24-1) unstable; urgency=medium

  * New upstream release.
    - drop cherry-picked patch
  * Bump Standards-Version to 4.4.1.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 14 Oct 2019 00:56:01 +0200

musl (1.1.23-2) unstable; urgency=high

  * Cherry-pick patch to fix x87 stack imbalance in corner cases of
    i386 math asm (CVE-2019-14697).

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 06 Aug 2019 19:56:45 +0200
