=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Build-Depends: debhelper-compat (= 12), dh-exec
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://www.musl-libc.org/
 Vcs-Git: https://salsa.debian.org/deki-guest/musl.git
 Vcs-Browser: https://salsa.debian.org/deki-guest/musl
