## musl 1.2.0

=== debian/changelog ===
musl (1.2.0-1) unstable; urgency=medium

  * New upstream release.
    - 64-bit time_t on all archs
  * Update upstream homepage.
  * Bump Standards-Version to 4.5.0.
  * Bump debhelper compat level to 13.
  * Update lintian-overrides with changed tag name.
  * Update Vcs-* URLs.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 03 Jul 2020 20:38:19 +0200
