=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper-compat (= 12), dh-exec
-Standards-Version: 4.4.1
-Homepage: https://www.musl-libc.org/
-Vcs-Git: https://salsa.debian.org/deki-guest/musl.git
-Vcs-Browser: https://salsa.debian.org/deki-guest/musl
+Build-Depends: debhelper-compat (= 13), dh-exec
+Standards-Version: 4.5.0
+Homepage: https://musl.libc.org/
+Vcs-Git: https://salsa.debian.org/reiner/musl.git
+Vcs-Browser: https://salsa.debian.org/reiner/musl
 Rules-Requires-Root: no
 
 Package: musl
