## musl 1.2.1

=== debian/changelog ===
musl (1.2.1-1) unstable; urgency=medium

  * New upstream release.
    - new malloc implementation (mallocng)
  * Update copyrights, bump copyright years and reorder sections.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 04 Aug 2020 20:05:24 +0200
