## musl 1.2.2

=== debian/changelog ===
musl (1.2.2-4) unstable; urgency=medium

  * Import musl-fts. (Closes: #989746)
    - musl-dev provides musl-fts
    - document copyright
    - test compilation in autopkgtest
  * Revert "Point to experimental branch in Vcs-Git".
  * Bump Standards-Version to 4.6.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 21 Aug 2021 12:49:23 +0200

musl (1.2.2-3) experimental; urgency=medium

  * musl-dev on musl-any-any:
    - drop gcc dependency, which does not exist while bootstrapping
    - don't install musl-gcc wrapper, which is not useful on this arch

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 30 Apr 2021 00:26:14 +0200

musl (1.2.2-2) experimental; urgency=medium

  [ Helmut Grohne ]
  * Remove crypt functionality and drop crypt.h header. (Closes: #947193)

  [ Josh Triplett ]
  * Provide cross-compilation versions of musl-gcc. (Closes: #873364)

  [ Reiner Herrmann ]
  * Add Breaks and Replaces to musl-dev, as it has taken over specs file.
  * Replace override_dh_clean with d/clean.
  * Drop usage of dh-exec.
    Thanks to Nicolas Boulenguez for initial idea, Niels Thykier for hint
    about debhelper's built-in substitution. (Closes: #982782)
  * wrap-and-sort
  * Point to experimental branch in Vcs-Git.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 29 Apr 2021 19:26:09 +0200

musl (1.2.2-1) unstable; urgency=medium

  * New upstream release.
    - fix wcsnrtombs destination buffer overflow (CVE-2020-28928)
      (Closes: #975365)
  * Fix MUSL_ARCH/MUSL_TRIPLE on sh4 (-> sh). (Closes: #977130)
  * Update copyrights.
  * Update watch file to version 4.
  * Bump Standards-Version to 4.5.1.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 15 Jan 2021 19:03:01 +0100
