=== debian/tests/control ===
Tests: build
Depends: binutils, build-essential, musl-tools
