## musl 1.2.3

=== debian/changelog ===
musl (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Add lintian override for 'no-code-sections' as these libraries are
    intentionally empty.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 07 Apr 2022 22:48:37 +0200
