=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
 https://musl.libc.org/releases/musl-@ANY_VERSION@@ARCHIVE_EXT@
