## musl 1.2.4

=== debian/changelog ===
musl (1.2.4-1) unstable; urgency=medium

  [ Reiner Herrmann ]
  * New upstream release.
  * Set option to disable building with LTO, as it is not supported.
    (Closes: #1015552)
  * Stop recommending non-existing linux-musl-dev. (Closes: #1041559)
  * Apply patch from Harald Hoyer to allow linking with static-pie.
    (Closes: #996326)
  * Add autopkgtest for static-pie linking.
  * Update lintian overrides to new format.
  * Bump Standards-Version to 4.6.2.

  [ Helmut Grohne ]
  * Restore crypt functionality in libc.{a,so} for ABI compatibility.
    (Closes: #1022027)

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 09 Nov 2023 23:26:24 +0100
