=== debian/control ===
--- 
+++ 
@@ -2,8 +2,21 @@
 Section: libs
 Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper-compat (= 13), dh-exec
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+               gcc-aarch64-linux-gnu [arm64],
+               gcc-arm-linux-gnueabi [armel],
+               gcc-arm-linux-gnueabihf [armhf],
+               gcc-i686-linux-gnu [i386],
+               gcc-m68k-linux-gnu [m68k],
+               gcc-mips-linux-gnu [mips],
+               gcc-mips64el-linux-gnuabi64 [mips64el],
+               gcc-mipsel-linux-gnu [mipsel],
+               gcc-powerpc64le-linux-gnu [ppc64el],
+               gcc-riscv64-linux-gnu [riscv64],
+               gcc-s390x-linux-gnu [s390x],
+               gcc-sh4-linux-gnu [sh4],
+               gcc-x86-64-linux-gnu [amd64]
+Standards-Version: 4.6.2
 Homepage: https://musl.libc.org/
 Vcs-Git: https://salsa.debian.org/reiner/musl.git
 Vcs-Browser: https://salsa.debian.org/reiner/musl
@@ -24,9 +37,13 @@
 Section: libdevel
 Architecture: arm64 musl-linux-arm64 armel armhf musl-linux-armhf i386 musl-linux-i386 amd64 musl-linux-amd64 m68k musl-linux-m68k mips musl-linux-mips mipsel musl-linux-mipsel mips64el musl-linux-mips64el s390x musl-linux-s390x sh4 musl-linux-sh4 ppc64el musl-linux-ppc64el riscv64 musl-linux-riscv64
 Multi-Arch: same
-Provides: ${libc-dev:Provides}
-Depends: ${misc:Depends}, musl (= ${binary:Version}), ${linux-libc-dev:Depends}
-Recommends: ${linux-musl-dev:Recommends}
+Provides: ${libc-dev:Provides}, musl-fts
+Depends: musl (= ${binary:Version}),
+         ${gcc:Depends},
+         ${linux-libc-dev:Depends},
+         ${misc:Depends}
+Replaces: musl-tools (<< 1.2.2-2)
+Breaks: musl-tools (<< 1.2.2-2)
 Description: standard C library development files
  musl is lightweight, fast, simple, free and strives
  to be correct in the sense of standards-conformance
@@ -34,11 +51,15 @@
  .
  This package contains the static linked libraries
  and the include files.
+ .
+ This package also contains the specs file and gcc
+ wrapper script for cross-compilation. For the native
+ musl-gcc script, install the musl-tools package.
 
 Package: musl-tools
 Section: devel
-Architecture: arm64 armel armhf i386 amd64 m68k mips mipsel mips64el s390x sh4 ppc64el riscv64
-Depends: ${misc:Depends}, musl-dev (= ${binary:Version}), gcc
+Architecture: amd64 arm64 armel armhf i386 m68k mips mips64el mipsel ppc64el riscv64 s390x sh4
+Depends: musl-dev (= ${binary:Version}), ${misc:Depends}
 Replaces: musl (<< 1.1.15-1)
 Breaks: musl (<< 1.1.15-1)
 Description: standard C library tools
@@ -46,6 +67,6 @@
  to be correct in the sense of standards-conformance
  and safety.
  .
- This package contains the gcc spec file and the
- musl-gcc wrapper script to make easy-to-deploy static
+ This package contains the musl-gcc wrapper script for
+ the native architecture, to make easy-to-deploy static
  and minimal dynamically linked programs.
