## musl 1.2.5

=== debian/changelog ===
musl (1.2.5-3) unstable; urgency=medium

  * Provide renameat2 syscall wrapper. (Closes: #1105007)
  * Bump copyright year.
  * Bump Standards-Version to 4.7.2.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 17 May 2025 13:21:34 +0200

musl (1.2.5-2) unstable; urgency=medium

  * Import upstream fix for out-of-bounds write vulnerability. (CVE-2025-26519)
    (Closes: #1098238)
  * Bump Standards-Version to 4.7.1.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 22 Feb 2025 12:21:36 +0100

musl (1.2.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install ld-musl-*so* and libc.so into /usr (DEP17 M2). (Closes: #1073676)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 13 Aug 2024 20:37:19 +0200

musl (1.2.5-1) unstable; urgency=medium

  * New upstream release.
  * New supported architecture: loong64.
  * Fix watch file.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 25 Mar 2024 20:14:54 +0100

musl (1.2.4-2) unstable; urgency=medium

  * Fix typo in autopkgtest.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 10 Nov 2023 20:30:40 +0100
