=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
 export CROSS_COMPILE
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 
 # Substitute control file variables depending on the debian libc type
 # If musl is the native libc, we can provide libc and depend on linux-libc-dev
@@ -53,7 +53,7 @@
   GENCTRL_OPTIONS = -Vlibc-dev:Provides=libc-dev -Vlinux-libc-dev:Depends=linux-libc-dev
   GCC_WRAPPER = no
 else
-  GENCTRL_OPTIONS = -Vlinux-musl-dev:Recommends=linux-musl-dev -Vgcc:Depends=gcc-$(HOST_GNU_TYPE_PKG)
+  GENCTRL_OPTIONS = -Vgcc:Depends=gcc-$(HOST_GNU_TYPE_PKG)
   GCC_WRAPPER = yes
 endif
 
@@ -73,7 +73,7 @@
 	dh_auto_configure -- --libdir=/usr/lib/$(MUSL_TRIPLE) --includedir=/usr/include/$(MUSL_TRIPLE) --host=$(DEB_HOST_GNU_TYPE) --enable-gcc-wrapper=$(GCC_WRAPPER) --enable-debug
 
 execute_after_dh_auto_install:
-	rm debian/tmp/usr/lib/$(MUSL_TRIPLE)/libcrypt.a
+	rm debian/tmp/usr/include/$(MUSL_TRIPLE)/crypt.h debian/tmp/usr/lib/$(MUSL_TRIPLE)/libcrypt.a
 
 execute_after_dh_install:
 ifeq ($(GCC_WRAPPER),yes)
